Bug 516589 - Kernel netlink neighbor updates not sent to multicast group (RTMGRP_NEIGH) [NEEDINFO]
Kernel netlink neighbor updates not sent to multicast group (RTMGRP_NEIGH)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Danny Feng
Red Hat Kernel QE team
:
Depends On:
Blocks: 533192 526775
  Show dependency treegraph
 
Reported: 2009-08-10 11:51 EDT by David Ward
Modified: 2010-03-30 03:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emcnabb: needinfo? (dfeng)


Attachments (Terms of Use)
Backport kernel patches to fix netlink neigh notifications (3.07 KB, patch)
2009-08-10 11:51 EDT, David Ward
no flags Details | Diff

  None (edit)
Description David Ward 2009-08-10 11:51:39 EDT
Created attachment 356911 [details]
Backport kernel patches to fix netlink neigh notifications

An application running in user space should be able to monitor updates to the kernel's neighbor table (also known as the ARP table for IPv4).  This is done by opening a netlink socket for the address family NETLINK_ROUTE and subscribing to the multicast group RTMGRP_NEIGH.

In kernel 2.6.18, however, the kernel does not send neighbor updates to this multicast group as it should when a neighbor entry is added or administratively removed.  This behavior is fixed in kernel 2.6.24 as the result of two upstream patches:

http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6-stable.git;a=commitdiff;h=b8673311804ca29680dd584bd08352001fcbe2f8

http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6-stable.git;a=commitdiff;h=d961db358f41033a8fc7b62948bc7cff1b4bb1fe


The patches above cannot be applied directly to the 2.6.18 kernel, but I created a working patch for the RHEL 5 kernel that provides the same relevant modifications, which is attached.
Comment 2 RHEL Product and Program Management 2009-10-01 12:14:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2009-12-02 16:02:58 EST
in kernel-2.6.18-176.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 5 Don Zickus 2009-12-02 16:14:21 EST
in kernel-2.6.18-176.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 errata-xmlrpc 2010-03-30 03:41:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.